Bug 205163 - IRQ handler type mismatch for IRQ 6
IRQ handler type mismatch for IRQ 6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 01:07 EDT by Matthew Galgoci
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 12:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (19.25 KB, application/octet-stream)
2006-09-05 01:24 EDT, Matthew Galgoci
no flags Details

  None (edit)
Description Matthew Galgoci 2006-09-05 01:07:54 EDT
Description of problem:

On an ibm thinkpad that has the floppy drive controller disabled in the bios,
I get the following error on bootup.

IRQ handler type mismatch for IRQ 6
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c0451589>] setup_irq+0x172/0x187
 [<c0451622>] request_irq+0x84/0xa1
 [<e0b3e625>] init_module+0x50f/0xd30 [floppy]
 [<c0442676>] sys_init_module+0x16ad/0x1856
 [<c0403faf>] syscall_call+0x7/0xb

I believe I've also got irq 6 reassigned in the bios to a pci device.

Version-Release number of selected component (if applicable):

2.6.17-1.2614.fc6

How reproducible:

Every bootup.

Steps to Reproduce:
1. On an ibm thinkpad, disable floopy controller in the bios
2. Reassign irq 6 to be used for a device on the pci bus
3. boot a linux kernel with lockdep stuff enabled
  
Actual results:

I would expect irq 6 to be usable by regular pci devices if the floppy
controller is not enabled.

Expected results:

irq type mismatch is reported for irq 6

Additional info:

See attached dmesg.
Comment 1 Matthew Galgoci 2006-09-05 01:24:28 EDT
Created attachment 135525 [details]
dmesg
Comment 2 Alan Cox 2006-09-19 18:10:02 EDT
Looks scary but its bsically kernel debug warnings.
Comment 3 Alan Cox 2007-03-07 14:30:58 EST
Pushed changes upstream to hide this as debug only

Note You need to log in before you can comment on or make changes to this bug.